@import url('https://fonts.googleapis.com/css2?family=Recursive:wght@300;400;700&display=swap');

:root {
  --primary: #05609f;
  --info: #83b0ce;
  --warning: #f1db00;
  
  width: 100vw;
  overflow-x: hidden;
}

body{
	font-family: 'Recursive', sans-serif !important;
    overflow-x: hidden;
}

a{
    cursor: pointer;
}

body::-webkit-scrollbar {
  width: 0.5em;
}

body::-webkit-scrollbar:hover {
  transition: 0.5s all;

  width: 1em;
}
 
body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 20px 20px #268dc833;
}
 
body::-webkit-scrollbar-thumb {
  background-color: #1b4667;
}

.btn-outline-primary {
    color: var(--primary);
    border-color: var(--primary);
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: var(--primary);
    border-color: var(--primary);
}

.text-primary {
    color: var(--primary) !important;
}

.bg-primary {
    background-color: var(--primary) !important;
}

.text-info {
    color: var(--info) !important;
}

.bg-info {
    background-color: var(--info) !important;
}

.bg-warning {
    background-color: var(--warning) !important;
}

.flex-center{
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: center;
	align-content: center;
}

#phone-numbers-container{
	position: fixed;
    bottom: 0;
    padding: 5px 15px;
    font-size: 0.75em;
    z-index: 1;
    text-align: center;
    display: flex;
    opacity: 0;
    transition: 0.5s opacity;
}

.bv-banner{
	background: var(--primary);
    border: white 2px solid;
    margin-right: 10px;
    padding: 0px 10px;
}

.bv-banner>a{
    background: var(--primary);
    color: var(--light);
}

.fire-banner{
    background: var(--danger);
    border: white 2px solid;
    margin-right: 10px;
    padding: 0px 10px;
}

.fire-banner>a{
    color: var(--light);
}

.emer-banner{
    background: var(--warning);
    border: white 2px solid;
    margin-right: 10px;
    padding: 0px 10px;
}

.emer-banner>a{
    color: var(--dark);
}

footer{
	background-color: #1b4667;
}

/* The actual timeline (the vertical ruler) */
.timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: var(--primary);
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}

/* Container around content */
.container-timeline {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 50%;
}

/* The circles on the timeline */
.container-timeline::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  right: -12px;
  background-color: white;
  border: 4px solid var(--secondary);
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

.left>.content {
  box-shadow: 7px 5px 20px 2px grey;
}

/* Place the container to the right */
.right {
  left: 50%;
}
.right>.content {
  box-shadow: -7px 5px 20px 2px grey;
}

/* Add arrows to the left container (pointing right) */
.left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent white;
}

/* Add arrows to the right container (pointing left) */
.right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
}

/* Fix the circle for containers on the right side */
.right::after {
  left: -12px;
}

/* The actual content */
.content {
  padding: 20px 30px;
  background-color: white;
  position: relative;
  border-radius: 6px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
  /* Place the timelime to the left */
  .timeline::after {
  left: 31px;
  }
  
  /* Full-width containers */
  .container-timeline {
  width: 100%;
  padding-left: 70px;
  padding-right: 25px;
  }
  
  /* Make sure that all arrows are pointing leftwards */
  .container-timeline::before {
  left: 60px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
  }

  /* Make sure all circles are at the same spot */
  .left::after, .right::after {
  left: 15px;
  }
  
  /* Make all right containers behave like the left ones */
  .right {
  left: 0%;
  }

  .force-mobile-center{
    text-align: center!important;
  }

  .jumbotron .display-4{
    font-size: 2rem!important;
  }

  .jumbotron .btn-outline-light .float-right{
    text-align: right;
    position: relative;
    right: -65%;
  }

  .media>img{
    display: none;
  }
}

.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    color: var(--primary);
    border-radius: 17px;
    box-shadow: -1px 2px 9px 0px #025a9d94;
    background-color: transparent;
}

.nav-pills .nav-link {
    border-radius: 17px;
    color: var(--info);
    margin-bottom: 1em;
}

.card-body{
    font-size: 0.8em;
}

.card{
    overflow: hidden;
}

.card-body{
    z-index: 1;
    background-color: white;
}

.card img{
    transition: 0.5s transform;
}

.card:hover img{
    transform:scale(1.2);
    -ms-transform:scale(1.2); /* IE 9 */
    -moz-transform:scale(1.2); /* Firefox */
    -webkit-transform:scale(1.2); /* Safari and Chrome */
    -o-transform:scale(1.2); /* Opera */
}

.card.no-hover:hover img {
  transform:scale(1.0)!important;
}

.loading{
    position: fixed;
    z-index: 99999;
    background: white;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.3s;
}

#main-navbar{
    z-index: 800;
    background: transparent;
    transition: all 0.5s;
    width: 100vw;
}

#main-navbar>#navbar-menu{
    opacity: 0;
}

#main-navbar:hover{
    background: white!important;
}

#main-navbar:hover #navbar-menu{
    opacity: 1!important;
}

.main-back-image{
    width: 100%; 
    height: 100vh;
    overflow: hidden; 
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.main-gradient{
    width: 100vw;
    height: 100vh;
    position: absolute; 
    top:0;
    left: 0;
}

.initial-logo{
    transition: all 1s;
    transition-delay: 1s;
    position: absolute;
    left: 45%;
    top: 45vh;
    width: 70px;
    transform: scale(3.5);
}

.initial-logo.active{
    position: absolute;
    left: 48px;
    top: 15px;
    width: 70px;
    transform: scale(1);
}

.main-header{
    position: absolute;
    top: 50%;
    left: 50%;
    transform:  scale(0.7) translate(-50%, -50%);
    color: white;
    font-weight: bold;
    opacity: 0;
    transition: all 1s;
    transition-delay: 2s;
}

.main-header.active{
    opacity: 1;
    transform:  scale(1) translate(-50%, -50%);
}

#main-slogan{
    padding: 5px 15px;
    color: black;
    background-color: white;
}

@media only screen and (max-width: 600px){
    .display-2 {
        font-size: 3.5rem;
    }
}

hr.hr-text {
  position: relative;
    border: none;
    height: 1px;
    background: #999;
}

hr.hr-text::before {
    content: attr(data-content);
    display: inline-block;
    background: #fff;
    font-weight: bold;
    font-size: 0.85rem;
    color: #999;
    border-radius: 30rem;
    padding: 0.2rem 2rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.animate-bombeiro-machado {
  animation: tween-bombeiro-machado 2s infinite;
}

@keyframes tween-bombeiro-machado {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.99);
  }
  100% {
    transform: scale(1);
  }
}

.animate-bombeiro-mangueira {
  animation: tween-bombeiro-mangueira 2s infinite;
}

@keyframes tween-bombeiro-mangueira {
  0% {
    transform: matrix(1, 0, 0, 1, 0, 0);
  }
  50% {
    transform: matrix(1, 0, 0.04, 1, 2, 0);
  }
  100% {
    transform: matrix(1, 0, 0, 1, 0, 0);
  }
}

.animate-bombeiro-correr {
  animation: tween-bombeiro-correr 2s infinite;
}

@keyframes tween-bombeiro-correr {
  0% {
    transform: matrix(1, 0, 0, 1, 0, 0);
  }
  50% {
    transform: matrix(1, 0, 0.04, 1, 2, 0);
  }
  100% {
    transform: matrix(1, 0, 0, 1, 0, 0);
  }
}

.animate-bombeiro-escada {
  animation: tween-bombeiro-escada 2s infinite;
}

@keyframes tween-bombeiro-escada {
  0% {
    transform: matrix(1, 0, 0, 1, 0, 0);
  }
  50% {
    transform: matrix(1, 0, 0, 1, 0, 7);
  }
  100% {
    transform: matrix(1, 0, 0, 1, 0, 0);
  }
}

.logo-animation-loading-container{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  width: 300px;
  height: 300px;
  position: relative;
}


.heart {
  animation: beat 1s infinite alternate;
  transform-origin: center;
  width: fit-content;
}

@keyframes beat{
  to { transform: scale(1.1); }
}

.timeline-image{
  position: absolute;
  left: -100%;
  bottom: 0;
  top: 0;
  width: 90%;
  max-height: 90%;
  margin: auto;
}

.left .timeline-image{
  left: 110%;
}

.modal-img-min:hover{
  cursor: zoom-in;
}

.modal-img-max:hover{
  cursor: zoom-out;
}

